@media (max-width: 1340px){
    .sidepanel{
        display: none;
    }
    .about{
        &__wrapper{
            padding: 0 20px;
        }
    }
}

@media (max-width: 1200px){
    .container{
        max-width: 940px;
        
    }
    .promo{
        &__menu{
            width: 100%;
            justify-content: space-around;
        }
    }
    .education{
        &__content{
            &-left{
                padding: 0 35px 0 0;
                &::after{
                    height: 322px;
                    top: -92px;
                }
            }
        }
    }
    .experience{
        &__content{
            &-left{
                padding: 0 35px 0 0;
                &::after{
                    height: 322px;
                    top: -92px;
                }
            }
        }
    }
    .skills{
        &__rating{
            width: 990px;
            column-gap: 40px;
            padding: 60px 30px;
            &-item{
                width: 400px;
            }
            &-line{
                width: 400px;
            }
        }
        &__item{
            padding: 20px;
            width: 290px;
            height: 290px;
            &:hover{
                width: 305px;
                height: 305px;
            }
            &-number{
                font-size: 35px;
            }
            &-title{
                font-size: 22px;
            }
        }
        &__content{
            padding: 0;
        }
    }

}
@media (max-width: 1120px){
    .navigation{
        left: -65px;
        &_active{
            left: 0;
        }
    }
    .toggle{
        display: none;
    }
    .hamburger{
            display: flex;
            justify-content: center;
            align-items: center;
    }
    
}
@media (max-width: 992px){
    .container{
        max-width: 100%;
        padding: 0 20px;
    }
    .promo{
        &__inner{
            width: 0;
            opacity: 0;
        }
        &__title{
            font-size: 100px;
        }
        &__subtitle{
            font-size: 62px;
        }
        &__text{
            font-size: 25px;
        }
    }
    
    .about{
        padding-top: 100px;
        &__wrapper{
            gap: 40px;
            padding: 0 20px;
        }
        &__photo{
            width: 350px;
            height: 350px;
            img{
                left: -30px;
                top: 30px;
            }
        }
        &__frame{
            width: 350px;
            height: 350px;
        }
        &__interests{
            margin-top: 130px;
            padding: 0 30px;
            &-title{
                font-size: 35px;
            }
            &-items{
                flex-wrap: wrap;
            }
            &-item{
                margin-right: 15px;
                margin-bottom: 15px;
            }
        }
    
    }
    .education{
        &__wrapper{
            width: 100%;
            &::after{
                
            }
        }
        &__content{
            &-left{
                padding: 0 35px 0 0;
                &::after{
                    display: none;
                }
            }
            &-right{
                padding: 0  0 0 35px;
            }
            &-title{
                font-size: 22px;
            }
            &-subtitle{
                font-size: 14px;
            }
        }
    }
    .experience{
        &__wrapper{
            width: 100%;
            &::after{
                
            }
        }
        &__content{
            &-left{
                padding: 0 35px 0 0;
                &::after{
                    display: none;
                }
            }
            &-right{
                padding: 0  0 0 35px;
            }
            &-title{
                font-size: 22px;
            }
            &-subtitle{
                font-size: 14px;
            }
        }
    }
    .skills{
        &__rating{
            width: 100%;
            display: block;
            &-item{
                margin: 0 auto 40px;
            }
        }
        &__content{
            row-gap: 20px;
        }
        &__item{
            width: 240px;
            height: 240px;
            &:hover{
                width: 255px;
                height: 255px;
            }
            &-number{
                font-size: 30px;
            }
            &-title{
                font-size: 20px;
            }
            &-descr{
                font-size: 12px;
            }
        }
    }
    .works{
        padding-bottom: 320px;
        &__content{
            width: 630px;
            grid-template-columns: repeat(2,1fr);
        }
    }
}
@media (max-width: 768px){
    .skills{
        &__item{
            width: 100%;
            height: 240px;
        }
        &__content{
            display: block;
        }
    }
    .about{
        min-height: 1000px;
        &__photo{
            width: 250px;
            height: 250px;
            img{
                left: 14px;
                top: 14px;
            }
        }
        &__frame{
            width: 280px;
            height: 280px;
        }
        &__interests{
            margin-top: 45px;
            &-items{
                margin-top: 55px;
            }
        }
    }
    .experience{
        min-height: 1100px;
        &__circle{
            margin: 55px auto 0;
        }
        &__wrapper{
            margin: 65px auto 0;
        }
        &__content{
            margin-bottom: 100px;
        }
    }
    .skills{
        &__content{
            margin-top: 60px;
        }
        &__item{
            margin-bottom: 20px;
            &:hover{
                width: 100%;
                height: 240px;
            }
        }
    }
    .works{
        padding-bottom: 100px;
        &__title{
            font-size: 40px;
        }
        &__wrapper{
            margin-top: 60px;
        }
        &__content{
            width: 570px;
            padding: 100px 75px;
        }
        &__item{
            width: 213px;
            height: 213px;
            &-inner{
                width: 200px;
                height: 200px;
                margin: 7px;
                padding: 50px 9px 0;
            }
            &-plus{
                width: 30px;
                height: 30px;
                margin: 0 auto 20px;
                &::after{
                    width: 30px;
                }
                &::before{
                    height: 30px;
                }
            }
            &-title{
                font-size: 16px;
            }
        }
    }
    .contact{
        &__form{
            margin-top: 100px;
        }
        &__textarea{
            height: 190px;
        }
        &__socials{
            margin: 120px auto 0;
        }
    }
}
@media (max-width: 576px){
    .promo{
        &__title{
            font-size: 70px;
        }
        &__subtitle{
            font-size: 37px;
        }
        &__text{
            font-size: 24px;
        }
    }
    .menu{
        width: 100vw;
        &__block{
            width: 250px;
        }
        &__list{
            padding-left: 10px;
        }
        &__overlay{
            width: 100vw;
        }
    }
    .about{
        &__wrapper{
            display: block;
        }
        
        &__content{
            margin-top: 40px;
        }
        &__title{
            font-size: 40px;
        }
    }
    .experience{
        padding-bottom: 90px;
        &__buttons{
            width: 290px;
        }
        &__btn{
            font-size: 20px;
        }
        &__content{
            &-left{
                &::after{
                    display: none; 
                }
            }
        }
        &__title{
            font-size: 40px;
        }
    }
    .skills{
        &__title{
            font-size: 38px;
        }
        &__rating{
            &-item{
                width: 320px;
            }
            &-line{
                width: 320px;
            }
        }
        
    }
    .works{
        padding-bottom: 150px;
        &__content{
            width: 100%;
            display: block;
            
        }
        &__item{
            margin: 0 auto;
            
        }
    }
    .contact{
        &__form{
            margin-top: 100px;
            display: block;
        }
        &__input{
            margin-bottom: 30px;
        }
        &__socials{
            width: 100%;
        }
    }
}

@media (max-width: 362px){
    .promo{
        &__title{
            margin-top: 100px;
        }
    }
    .about{
        &__wrapper{
            padding: 0;
        }
        &__photo{
            width: 200px;
            height: 200px;
            img{
                top: 21px;
                left: 21px;
            }
        }
        &__frame{
            width: 240px;
            height: 240px;
        }
        &__content{
            width: 230px;
            margin-top: 60px;
        }
        &__title{
            font-size: 35px;
        }
        &__interests{
            padding: 0px 20px;
        }
    }
    .skills{
        &__rating{
            &-item{
                width: 260px;
            }
            &-line{
                width: 260px;
            }
        }
    }
}